Subject: Re: linux-next: build failure after merge of the perf tree

From: Charlie Jenkins <[email-masked]>
Date: Fri, 10 Jan 2025 10:59:42 -0800

On Fri, Jan 10, 2025 at 02:32:31PM -0300, Arnaldo Carvalho de Melo wrote:
> On Fri, Jan 10, 2025 at 11:01:54AM -0300, Arnaldo Carvalho de Melo wrote:
> > On Thu, Jan 09, 2025 at 03:31:42PM -0800, Charlie Jenkins wrote:
> > > On Fri, Jan 10, 2025 at 10:05:05AM +1100, Stephen Rothwell wrote:
> > > > Hi all,
> > > > 
> > > > After merging the perf tree, today's linux-next build (native perf)
> > > > failed like this:
> linux-next: build failure after merge of the perf tree
> Some more:
> 
> COLLECT_GCC=mips-linux-gnu-gcc
> COLLECT_LTO_WRAPPER=/usr/libexec/gcc-cross/mips-linux-gnu/14/lto-wrapper
> Target: mips-linux-gnu
> Configured with: ../src/configure -v --with-pkgversion='Debian 14.2.0-1' --with-bugurl=file:///usr/share/doc/gcc-14/README.Bugs --enable-languages=c,ada,c++,go,d,fortran,objc,obj-c++,m2 --prefix=/usr --with-gcc-major-version-only --program-suffix=-14 --enable-shared --enable-linker-build-id --libexecdir=/usr/libexec --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-libstdcxx-backtrace --enable-gnu-unique-object --disable-libitm --disable-libsanitizer --disable-libquadmath --disable-libquadmath-support --enable-plugin --enable-default-pie --with-system-zlib --enable-libphobos-checking=release --without-target-system-zlib --enable-multiarch --disable-werror --enable-multilib --with-arch-32=mips32r2 --with-fp-32=xx --with-lxc1-sxc1=no --enable-targets=all --with-arch-64=mips64r2 --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=mips-linux-gnu --program-prefix=mips-linux-gnu- --includedir=/usr/mips-linux-gnu/include --with-build-config=bootstrap-lto-lean --enable-link-serialization=3
> Thread model: posix
> Supported LTO compression algorithms: zlib zstd
> gcc version 14.2.0 (Debian 14.2.0-1) 
> + make NO_LIBTRACEEVENT=1 ARCH=mips CROSS_COMPILE=mips-linux-gnu- EXTRA_CFLAGS= -C tools/perf O=/tmp/build/perf
> <SNIP>
>    /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/mlinux-next: build failure after merge of the perf treeksyscalltbl  --abis common,64,n64 /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/syscall_n64.tbl /tmp/build/perf/arch/mips/include/generated/asm/syscalls_64.h
> /bin/sh: 1: /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/mksyscalltbl: not found
> make[2]: *** [/git/perf-6.13.0-rc2/tools/perf/scripts/Makefile.syscalls:43: /tmp/build/perf/arch/mips/include/generated/asm/syscalls_64.h] Error 127
> make[2]: *** Waiting for unfinished jobs....
> make[1]: *** [Makefile.perf:286: sub-make] Error 2
> make: *** [Makefile:76: all] Error 2
> make: Leaving directory '/git/perf-6.13.0-rc2/tools/perf'
> 
> -----------------------
> 
> COLLECT_GCC=mips64-linux-gnuabi64-gcc
> COLLECT_LTO_WRAPPER=/usr/libexec/gcc-cross/mips64-linux-gnuabi64/14/lto-wrapper
> Target:linux-next: build failure after merge of the perf tree mips64-linux-gnuabi64
> Configured with: ../src/configure -v --with-pkgversion='Debian 14.2.0-1' --with-bugurl=file:///usr/share/doc/gcc-14/README.Bugs --enable-languages=c,ada,c++,go,d,fortran,objc,obj-c++,m2 --prefix=/usr --with-gcc-major-version-only --program-suffix=-14 --enable-shared --enable-linker-build-id --libexecdir=/usr/libexec --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-libstdcxx-backtrace --enable-gnu-unique-object --disable-libitm --disable-libsanitizer --disable-libquadmath --disable-libquadmath-support --enable-plugin --enable-default-pie --with-system-zlib --enable-libphobos-checking=release --without-target-system-zlib --enable-multiarch --disable-werror --enable-multilib --with-mips-plt --with-arch-64=mips64r2 --enable-targets=all --with-arch-32=mips32r2 --with-fp-32=xx --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=mips64-linux-gnuabi64 --program-prefix=mips64-linux-gnuabi64- --includedir=/usr/mips64-linux-gnuabi64/include --with-build-config=bootstrap-lto-lean --enable-link-serialization=3
> Thread model: posix
> Supported LTO compression algorithms: zlib zstd
> gcc version 14.2.0 (Debian 14.2.0-1) 
> + make NO_LIBTRACEEVENT=1 ARCH=mips CROSS_COMPILE=mips64-linux-gnuabi64- EXTRA_CFLAGS= -C tools/perf O=/tmp/build/perf
> <SNIP>
>    /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/mksyscalltbl  --abis common,64,n64 /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/syscall_n64.tbl /tmp/build/perf/arch/mips/include/generated/asm/syscalls_64.h
> /bin/sh: 1: /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/mksyscalltbl: not found
> make[2]: *** [/git/perf-6.13.0-rc2/tools/perf/scripts/Makefile.syscalls:43: /tmp/build/perf/arch/mips/include/generated/asm/syscalls_64.h] Error 127
> 
> -----------------------
> 
> COLLECT_GCC=mipsel-linux-gnu-gcc
> COLLECT_LTO_WRAPPER=/usr/libexec/gcc-cross/mipsel-linux-gnu/14/lto-wrapper
> Target: mipsel-linux-gnu
> Configured with: ../src/configure -v --with-pkgversion='Debian 14.2.0-1' --with-bugurl=file:///usr/share/doc/gcc-14/README.Bugs --enable-languages=c,ada,c++,go,d,fortran,objc,obj-c++,m2 --prefix=/usr --with-gcc-major-version-only --program-suffix=-14 --enable-shared --enable-linker-build-id --libexecdir=/usr/libexec --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-libstdcxx-backtrace --enable-gnu-unique-object --disable-libitm --disable-libsanitizer --disable-libquadmath --disable-libquadmath-support --enable-plugin --enable-default-pie --with-system-zlib --enable-libphobos-checking=release --without-target-system-zlib --enable-multiarch --disable-werror --enable-multilib --with-arch-32=mips32r2 --with-fp-32=xx --with-madd4=no --with-lxc1-sxc1=no --enable-targets=all --with-arch-64=mips64r2 --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=mipsel-linux-gnu --program-prefix=mipsel-linux-gnu- --includedir=/usr/mipsel-linux-gnu/include --with-build-config=bootstrap-lto-lean --enable-link-serialization=3
> Thread model: posix
> Supported LTO compression algorithms: zlib zstd
> gcc version 14.2.0 (Debian 14.2.0-1) 
> + make NO_LIBTRACEEVENT=1 ARCH=mips CROSS_COMPILE=mipsel-linux-gnu- EXTRA_CFLAGS= -C tools/perf O=/tmp/build/perf
> <SNIP>
>    /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/mksyscalltbl  --abis common,64,n64 /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/syscall_n64.tbl /tmp/build/perf/arch/mips/include/generated/asm/syscalls_64.h
> /bin/sh: 1: /git/perf-6.13.0-rc2/tools/perf/arch/mips/entry/syscalls/mksyscalltbl: not found
> make[2]: *** [/git/perf-6.13.0-rc2/tools/perf/scripts/Makefile.syscalls:43: /tmp/build/perf/arch/mips/include/generated/asm/syscalls_64.h] Error 127

I missed removing the Makefile for mips in the patch. I'll send another
update. Thank you for testing this one. It looks like it is the only
architecture that I missed.

- Charlie